%define		php_name	php%{?php_suffix}
%define		modname	sasl
%define		status		alpha
Summary:	%{modname} - Cyrus SASL extension
Summary(pl.UTF-8):	%{modname} - rozszerzenie Cyrus SASL
Name:		%{php_name}-pecl-%{modname}
Version:	0.1.0
Release:	13
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	8431731cc8a7921a2922af23a57a572f
Patch0:		php-pecl-%{modname}-lib_fix.patch
Patch1:		php-pecl-%{modname}-lib64_fix.patch
URL:		http://pecl.php.net/package/sasl/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	cyrus-sasl-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SASL is the Simple Authentication and Security Layer (as defined by
RFC 2222). It provides a system for adding plugable authenticating
support to connection-based protocols. The SASL extension for PHP
makes the Cyrus SASL library functions available to PHP. It aims to
provide a 1-to-1 wrapper around the SASL library to provide the
greatest amount of implementation flexibility. To that end, it is
possible to build both a client-side and server-side SASL
implementation entirely in PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
SASL to warstwa prostego uwierzytelnienia i bezpieczeństwa (Simple
Authentication and Security Layer) zdefiniowana w RFC 2222. Dostarcza
system do dodawania wtyczek obsługujących uwierzytelnianie do
protokołów opartych na połączeniach. Rozszerzenie SASL dla PHP
udostępnia w PHP funkcje biblioteki Cyrus SASL. Celem jest
dostarczenie obudowania 1-do-1 biblioteki SASL, aby udostępnić jak
największą elastyczność implementacji. W tym celu możliwe jest
zbudowanie zarówno klienckiej jak i serwerowej implementacji SASL
całkowicie w PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
# Ugly, could be done somehow prettier (one combined patch?)
%if "%{_lib}" == "lib64"
%patch1 -p2
%else
%patch0 -p2
%endif

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc docs/TODO
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon Nov 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-sasl.git;a=log;h=master

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> cc0eadf
provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> b7b553c
support building for multiple php versions

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 5e8ac43
- release 12 (by relup.sh)

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 33ee3aa
- use php(core) as dependency to require php version
- release 10 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 3da5547
- release 10 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c855b5
- release 9

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 52c9905
- release 8

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 2afbc69
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 15efe71
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0cb9801
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 1302764
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 572d0f5
- rel 7 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> f9447ae
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 796767c
- rel 6 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 67202d1
- rel 5

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 95b226e
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> dac9ad2
- rel 3

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> c3a5ebc
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 4bdd8dc
- superfluous BR libtool removed

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 1de3250
- more general lib64 if

